Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript.commonjs.module.provider
Class ParsedContentType

    java.lang.Object
      org.mozilla.javascript.commonjs.module.provider.ParsedContentType

All Implemented Interfaces:
  java.io.Serializable

    public final class ParsedContentType

extends java.lang.Object
implements java.io.Serializable

Breaks a "contentType; charset=encoding" MIME type into content type and encoding parts.

Version:
  $Id: ParsedContentType.java,v 1.3 2011/04/07 20:26:12 hannes%helma.at Exp $
Author:
  Attila Szegedi
See Also:
  Serialized Form

Constructor Summary
`ParsedContentType(java.lang.String mimeType)` Creates a new parsed content type.

Method Summary
`java.lang.String` | `getContentType()` Returns the content type (without charset declaration) of the MIME type.
`java.lang.String` | `getEncoding()` Returns the character encoding of the MIME type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParsedContentType

    public ParsedContentType(java.lang.String mimeType)

  Creates a new parsed content type.

  Parameters:
    `mimeType` - the full MIME type; typically the value of the "Content-Type" header of some MIME-compliant message. Can be null.

Method Detail

### getContentType

    public java.lang.String getContentType()

  Returns the content type (without charset declaration) of the MIME type.

  Returns:
    the content type (without charset declaration) of the MIME type. Can be null if the MIME type was null.

### getEncoding

    public java.lang.String getEncoding()

  Returns the character encoding of the MIME type.

  Returns:
    the character encoding of the MIME type. Can be null when it is not specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD